#include <iostream>
#include <string>
#include "Schlauch.h"
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <unistd.h>
#include <dos.h>
#include <windows.h>
#include <chrono>

using namespace std;





int main()
{
    srand(time(NULL));

    int eingabe = 0;
    cout << "Welcher Lichteffekt soll verwendet werden (1-5)?" << endl;
    cin  >> eingabe;

    Schlauch* meinSchlauch = NULL;


    switch(eingabe)
    {
        case 1:
        case 2:
        case 3:
        case 4:
        case 5:
            meinSchlauch = new Schlauch((Lichteffekt)eingabe);
            break;
        default:
            cout << "Falsche Eingabe!" << endl;
            break;
    }
    if(meinSchlauch != NULL)
    {
        while(true)
        {
            switch(meinSchlauch->getLichteffekt())
            {
                case Lichteffekt1:
                    meinSchlauch->Leuchten();
                    break;
                case Lichteffekt2:
                    Sleep(1000);
                    meinSchlauch->Leuchten();
                    break;
                case Lichteffekt3:
                    Sleep(1000);
                    meinSchlauch->Leuchten();
                    break;
                case Lichteffekt4:
                    Sleep(1000);
                    meinSchlauch->Leuchten();
                    break;
                case Lichteffekt5:
                    break;
            }
        }
    }


    return 0;
}

